%define major 6
%define libxtst %mklibname xtst %major

Name: libxtst
Summary:  The Xtst Library
Version: 1.2.1
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXtst-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxi-devel >= 1.3
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: xmlto docbook-dtd412-xml

%description
The Xtst Library

#-----------------------------------------------------------

%package -n %{libxtst}
Summary:  The Xtst Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxtst}
The Xtst Library

%files -n %{libxtst}
%defattr(-,root,root)
%{_libdir}/libXtst.so.%{major}*

#-----------------------------------------------------------

%package -n %{libxtst}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxtst} >= %{version}
Requires: x11-proto-devel >= 7.5
Requires: libxi-devel >= 1.3
Provides: libxtst-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0
Conflicts: x11-proto-devel < 7.5

%description -n %{libxtst}-devel
Development files for %{name}

%files -n %{libxtst}-devel
%defattr(-,root,root)
%{_libdir}/libXtst.so
%{_libdir}/pkgconfig/xtst.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XTest*
%{_datadir}/doc/libXtst

#-----------------------------------------------------------

%package -n %{libxtst}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxtst}-devel >= %{version}
Provides: libxtst-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxtst}-static-devel
Static development files for %{name}

%files -n %{libxtst}-static-devel
%defattr(-,root,root)
%{_libdir}/libXtst.a

#-----------------------------------------------------------

%prep
%setup -q -n libXtst-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 358661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.2.1-1.mga2
+ Revision: 222266
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.2.0-2.mga2
+ Revision: 170009
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.2.0-1.mga1
+ Revision: 6165
- imported package libxtst

